channel.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/distinct.hh>`
`#include <gecode/int/channel/base.hpp>`
`#include <gecode/int/channel/val.hpp>`
`#include <gecode/int/channel/dom.hpp>`
`#include <gecode/int/channel/link-single.hpp>`
`#include <gecode/int/channel/link-multi.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Channel::Base< Info, Offset, pc >
| Base-class for channel propagators. More...
class | Gecode::Int::Channel::Val< View, Offset, shared >
| Naive channel propagator. More...
class | Gecode::Int::Channel::Dom< View, Offset, shared >
| Domain consistent channel propagator. More...
class | Gecode::Int::Channel::LinkSingle
| Link propagator for a single Boolean view. More...
class | Gecode::Int::Channel::LinkMulti
| Link propagator for multiple Boolean views. More...

## Namespaces

namespace | Gecode::Int::Channel
| Channel propagators
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Typedefs

typedef Support::StaticStack< int, Region > | Gecode::Int::Channel::ProcessStack
| Processing stack.